# Simple Fast Project (SFP)

Simple Fast Project (SFP) is a Python library designed to quickly set up a folder structure for simple data science projects. It's based on the standalone data catalog provided by [Kedro](https://github.com/quantumblacklabs/kedro).

[//]: # (![SFP Logo]&#40;https://path_to_logo_image.com/logo.png&#41;  <!-- You can replace this with the actual path to your logo if you have one -->)

## Features

- Rapidly sets up a standardized folder structure for data science projects.
- Integrates seamlessly with Kedro's standalone data catalog.
- Simplifies the project initialization process, allowing you to focus on data science.

## Installation

### Windows:

```bash
$ python -m pip install sfp
```

### Linux:

```bash
$ python3 -m pip install sfp
```

## Usage

After installing, simply open a command prompt or terminal in the desired directory where you want your project to be, and run the following command:

```bash
$ sfp
```

This command will create the necessary directories and files in your current working directory.

## Links

- [Kedro](https://github.com/quantumblacklabs/kedro): The foundation for the standalone data catalog used in SFP.

## Contributing

We welcome contributions! Please see our [CONTRIBUTING.md](CONTRIBUTING.md) for details. <!-- You can replace this with the actual path to your contributing guide if you have one -->

## License

This project is licensed under the Apache 2.0 License. See the [LICENSE](LICENSE.md) file for details. <!-- You can replace this with the actual path to your license if you have one -->

[//]: # (## Contact)

[//]: # ()
[//]: # (For any questions or feedback, please reach out to [contact@simplefastproject.com]&#40;mailto:contact@simplefastproject.com&#41;.)
